PHP Manual
Prev |  | Next

# DOMDocument->loadHTMLFile()

(no version information, might be only in CVS)

DOMDocument->loadHTMLFile() -- Load HTML from a file

## Description

class DOMDocument {
bool loadHTMLFile ( string filename )
}

The function parses the HTML document in the file named filename. Unlike loading XML, HTML does not have to be well-formed to load.

This function may also be called statically to load and create a DOMDocument object. The static invocation may be used when no DOMDocument properties need to be set prior to loading.

## Parameters

filename

  The path to the HTML file.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Examples

Example 1. Creating a Document

`<?php $doc = new DOMDocument(); $doc->loadHTMLFile("filename.html"); echo $doc->saveHTML(); ?>`

## See Also

DOMDocument->loadHTML()
DOMDocument->saveHTML()
DOMDocument->saveHTMLFile()

Prev | Home | Next
DOMDocument->loadHTML() | Up | DOMDocument->loadXML()